Can't create application from BitBucket repo anymore

0

Hello,

Since 4 days, I can't connect a BitBucket repo from the Amplify Console anymore.
I select BitBucket, then I have to login to BitBucket and grant the access, then I select the repo and the branch, and at the end I get this error:

Houston, there's a problem
There was an issue setting up your repository. Please try again later.({"type": "error", "error": {"message": "Your credentials lack one or more required privilege scopes.", "detail": {"granted": ["webhook", "repository:admin", "repository:write", "team", "account"], "required": ["pullrequest"]}}})

I already have 6 other Amplify applications from BitBucket repos currently running, and I have never faced this error.

But none of them is working anymore, the build of the existing applications (which always worked in the past) now also fail with:

2019-09-25T13:54:13.109Z [INFO]: Git SSH Key acquired
2019-09-25T13:54:13.210Z [INFO]: # Cloning repository: git@bitbucket.org:****.git
2019-09-25T13:54:13.370Z [INFO]: Agent pid 71
2019-09-25T13:54:13.380Z [INFO]: Identity added: /root/.ssh/git_rsa (/root/.ssh/git_rsa)
2019-09-25T13:54:13.420Z [INFO]: Cloning into '***'...
2019-09-25T13:54:13.872Z [INFO]: Warning: Permanently added the RSA host key for IP address '18.205.93.2' to the list of known hosts.
2019-09-25T13:54:14.233Z [INFO]: Permission denied (publickey).
2019-09-25T13:54:14.234Z [INFO]: fatal: Could not read from remote repository.
                                 Please make sure you have the correct access rights
                                 and the repository exists.

I also tried to revoke the Amplify OAuth key in the Bitbucket settings and try to connect again, I see the new OAuth key added in BitBucket settings, but I get the same deployment problems.

How can I solve this ?
We are currently blocked as we cannot deploy anything.

Thanks !

Edited by: leclercb on Sep 25, 2019 7:01 AM

Edited by: leclercb on Sep 25, 2019 7:01 AM

asked 3 years ago240 views
10 Answers
0

Ditto, I'm in the same boat. Not able to deploy anything. Also tried creating new app after revoking permissions - same problem.

answered 3 years ago
0

We just fix issue. Can you try again?
Thanks,
Gary

answered 3 years ago
0

We just fix the issue. Can you try again?
Thanks,
Gary

answered 3 years ago
0

Hi Gary.

The fix works for new applications, i.e. if I add brand new application and connect it to Bitbucket branch it works.

For existing apps, even if I try to connect another branch, it doesn't work. I wonder if there is a setting that's attached to application configuration that needs to be updated? Now, technically I could remove and re-add all applications, but it would be better to fix the underlying issue instead. Please let us know if that's possible.

Thanks!

  • Kirill
answered 3 years ago
0

Thanks for fixing the connection of new apps.
However, the existing apps are still failing during the build.

Having to remove them and connect them again would be a long process but also create down times so it's not an option for us.

Thanks

answered 3 years ago
0

I would like to add that I have had this issue as well. I was able to deploy to amplify fine yesterday, but today the branch is failing at the beginning of the build phase.

The error I get is:

[INFO]:fatal: Could not read from remote repository.
           Please make sure you have the correct access rights
           and the repository exists.

[ERROR]: !!! Unable to clone repository.

I also got a redirect to grant access on bitbucket when connecting a new branch.

Any feedback would greatly appreciated

answered 3 years ago
0

We are currently experiencing issues building and deploying apps that are connected to BitBucket repositories. We are actively working on a fix to give users the ability to reauthenticate with Bitbucket. We apologize for any inconvenience caused and will update this issue with an ETA shortly.

answered 3 years ago
0

We are testing a fix currently and should roll something out shortly. Please track https://github.com/aws-amplify/amplify-console/issues/157 for updates.

answered 3 years ago
0

The fix has been rolled out. Can you please go to General > App settings and choose Re-authenticate. After this is done trigger a new build which should fix the issue.

answered 3 years ago
0

It's working, thanks !

answered 3 years ago

You are not logged in. Log in to post an answer.

A good answer clearly answers the question and provides constructive feedback and encourages professional growth in the question asker.

Guidelines for Answering Questions